SplHeap::current
SplHeap::insert
SplHeap
PHP Manual

# SplHeap::extract

(PHP 5 >= 5.3.0)

SplHeap::extract — Extracts a node from top of the heap and sift up.

### Description

public mixed SplHeap::extract ( void )

### Parameters

This function has no parameters.

### Return Values

The value of the extracted node.

### Errors/Exceptions

Throws RuntimeException when the data-structure is empty.

SplHeap::current
SplHeap::insert
SplHeap
PHP Manual